Subject: Re: [1/1] libertas: check return value of alloc_workqueue

From: Kalle Valo <[email-masked]>
Date: Wed, 26 Apr 2017 09:03:41 +0000 (UTC)

Pan Bian <[email-masked]> wrote:
> From: Pan Bian <[email-masked]>
> 
> Function alloc_workqueue() will return a NULL pointer if there is no
> enough memory, and its return value should be validated before using.
> However, in function if_spi_probe(), its return value is not checked.
> This may result in a NULL dereference bug. This patch fixes the bug.
> 
> Signed-off-by: Pan Bian <[email-masked]>

Patch applied to wireless-drivers-next.git, thanks.

dc3f89c38a84 libertas: check return value of alloc_workqueue

-- 
https://patchwork.kernel.org/patch/9694827/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches